Qt 5.6 | Qt GUI | C++ Classes | QAccessiblePlugin

Qt 5.6.2 Reference Documentation

# QAccessiblePlugin Class

The QAccessiblePlugin class provides an abstract base class for plugins provinding accessibility information for user interface elements. More...

Header: | #include <QAccessiblePlugin>
qmake: | QT += gui

- List of all members, including inherited members

## Public Functions

| QAccessiblePlugin(QObject *parent = Q_NULLPTR)
| ~QAccessiblePlugin()
virtual QAccessibleInterface * | create(const QString &key, QObject *object) = 0

## Detailed Description

The QAccessiblePlugin class provides an abstract base class for plugins provinding accessibility information for user interface elements.

Writing an accessibility plugin is achieved by subclassing this base class, reimplementing the pure virtual function create(), and exporting the class with the Q_PLUGIN_METADATA() macro.

See also How to Create Qt Plugins.

## Member Function Documentation

### QAccessiblePlugin::QAccessiblePlugin(QObject *parent = Q_NULLPTR)

Constructs an accessibility plugin with the given parent. This is invoked automatically by the plugin loader.

### QAccessiblePlugin::~QAccessiblePlugin()

Destroys the accessibility plugin.

You never have to call this explicitly. Qt destroys a plugin automatically when it is no longer used.

### `[pure virtual]` QAccessibleInterface *QAccessiblePlugin::create(const QString &key, QObject *object)

Creates and returns a QAccessibleInterface implementation for the class key and the object object. Keys are case sensitive.